﻿/*
 * Created by SharpDevelop.
 * User: Mawerick
 * Date: 28.06.2012
 * Time: 16:56
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Drawing;
using System.IO;
using System.Windows.Forms;

namespace Twp.Controls
{
	/// <summary>
	/// Description of ConsoleBox.
	/// </summary>
	public partial class ConsoleBox : TextBox
	{
		public ConsoleBox()
		{
			this.BackColor = Color.Black;
			this.ForeColor = Color.Lime;
			
			if( this.DesignMode )
				return;
			
			ConsoleBoxWriter writer = new ConsoleBoxWriter( this );
			Console.SetOut( writer );
		}
		
		private class ConsoleBoxWriter : TextWriter
		{
			private ConsoleBox output;
			
			public ConsoleBoxWriter( ConsoleBox output )
			{
				this.output = output;
			}
			
			public override void Write( char value )
			{
				base.Write( value );
				this.output.AppendText( value.ToString() );
			}
			
			public override System.Text.Encoding Encoding
			{
				get { return System.Text.Encoding.UTF8; }
			}
		}
	}
}
