﻿// $Id: DesignerExtras.cs 92 2012-11-12 19:06:34Z mawerick $
//
//  Copyright (C) Mawerick, WrongPlace.Net 2009 - 2012
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//

using System;
using System.ComponentModel;
using System.ComponentModel.Design;

namespace Twp.Controls.Design
{
    /// <summary>
    /// Description of DesignerExtras.
    /// </summary>
    public static class DesignerExtras
    {
        public static object GetProperty( IComponent component, string name )
		{
			PropertyDescriptor property = TypeDescriptor.GetProperties( component )[name];
			return property.GetValue( component );
		}
		
		public static void SetProperty( IComponent component, string name, object value )
		{
			PropertyDescriptor property = TypeDescriptor.GetProperties( component )[name];
			property.SetValue( component, value );
		}
    }
}
