﻿// $Id: HorizontalPanel.cs 73 2012-04-11 01:37:42Z mawerick $
//
//  Copyright (C) Mawerick, WrongPlace.Net 2010 - 2012
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using System.Windows.Forms.Layout;

namespace Twp.Controls
{
    [Description( "Provides a Panel with a LayoutEngine that positions the content horizontally." )]
    [ToolboxBitmap( typeof( HorizontalPanel ), "Resources.HorizontalPanel.bmp" )]
    public class HorizontalPanel : Panel
    {
        private HorizontalLayout layoutEngine;
        public override LayoutEngine LayoutEngine
        {
            get
            {
                if( this.layoutEngine == null )
                    this.layoutEngine = new HorizontalLayout();
                return this.layoutEngine;
            }
        }
    }
}
